import api from '@/utils/request';

export const getList = params =>
	api.post(`/yxl-back-end/admin/top-search-keywords/page`, params);
// export const getItem = ({ id, ...params }) =>
// api.get(`/yxl-back-end/admin/top-search-keywords/${id}`, params);
export const saveItem = params => {
	if (params.id) {
		return api.post(`/yxl-back-end/admin/top-search-keywords/update`, params);
	} else {
		return api.post(`/yxl-back-end/admin/top-search-keywords/save`, params);
	}
};
export const delItem = ({ id, ...params }) =>
	api.del(`/yxl-back-end/admin/top-search-keywords/${id}`, params);
